## org.apache.lucene.store
Class LockVerifyServer

    java.lang.Object
      org.apache.lucene.store.LockVerifyServer

    public class LockVerifyServer

extends Object

Simple standalone server that must be running when you use `VerifyingLockFactory`. This server simply verifies at most one process holds the lock at a time. Run without any args to see usage.

See Also:
  `VerifyingLockFactory`, `LockStressTest`

Constructor Summary
`LockVerifyServer()`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockVerifyServer

    public LockVerifyServer()

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`